BSON_ITER_KEY_LEN(3)

NAME
bson_iter_key_len - bson_iter_key_len()

SYNOPSIS

uint32_t
bson_iter_key_len (const bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

Fetches the length of the key for the current element observed by iter. This is a constant time computation, and therefore faster than calling strlen() on a key returned by bson_iter_key().

SEE ALSO

bson_iter_key() to retrieve current key.

RETURNS

An integer representing the key length.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc